﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;

namespace TelerikChartSample.Models
{
    public class MemoryChartRepository :IChartRepository
    {
        public IEnumerable<NumbersByCountry> AllNumbersByCountry =>
            new List<NumbersByCountry>
            {
                new NumbersByCountry { Country="CYP", ValueAmount=20, Color="#006caa", ValueDate= new DateTime(2018,1,10), ValueYearMonth=2018, GlobalValueAmountByMonth=40 },
                new NumbersByCountry { Country="USA", ValueAmount=5, Color="#ffb128", ValueDate= new DateTime(2018,1,20), ValueYearMonth=2018},
                new NumbersByCountry { Country="DEN", ValueAmount=15, Color="#EB984E", ValueDate= new DateTime(2018,2,5), ValueYearMonth=2018},
                new NumbersByCountry { Country="AUS", ValueAmount=8, Color="#1F618D", ValueDate= new DateTime(2019,2,10), ValueYearMonth=2019, GlobalValueAmountByMonth=20},
                new NumbersByCountry { Country="DEU", ValueAmount=2, Color="#99A3A4 ", ValueDate= new DateTime(2019,2,16), ValueYearMonth=2019},
                new NumbersByCountry { Country="CAN", ValueAmount=20, Color="#2E4053", ValueDate= new DateTime(2019,3,10), ValueYearMonth=2019},
                new NumbersByCountry { Country="CAN", ValueAmount=-10, Color="#2E4053", ValueDate= new DateTime(2020,3,10), ValueYearMonth=2020, GlobalValueAmountByMonth=-10},

            };
    }
}
