﻿using Kendo.Mvc.Extensions;
using Kendo.Mvc.UI;
using Microsoft.AspNetCore.Mvc;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Threading.Tasks;
using TelerikChartSample.Models;

namespace TelerikChartSample.Controllers
{
    public class ChartController : Controller
    {
        private readonly IChartRepository _chartRepository;

        public ChartController(IChartRepository chartRepository)
        {
            _chartRepository = chartRepository;
        }

        public ActionResult NumbersValueByCountry()
        {
            var result = _chartRepository.AllNumbersByCountry.OrderBy(v => v.ValueYearMonth);

            return Json(result);
        }
    }
}
